Loading...
Searching...
No Matches
dolfin::RAWFile Class Reference

Output of data in raw binary format. More...

`#include <RAWFile.h>`

Inheritance diagram for dolfin::RAWFile:
[legend]
Collaboration diagram for dolfin::RAWFile:
[legend]

## Public Member Functions

| RAWFile (const std::string filename)
| Constructor.
| ~RAWFile ()
| Destructor.
void | write (const MeshFunction< int > &meshfunction)
void | write (const MeshFunction< double > &meshfunction)
void | write (const Function &u)
Public Member Functions inherited from dolfin::GenericFile
| GenericFile (std::string filename, std::string filetype)
| Constructor.
virtual | ~GenericFile ()
| Destructor.
virtual void | read (Mesh &mesh)
virtual void | read (GenericVector &x)
virtual void | read (GenericMatrix &A)
virtual void | read (GenericDofMap &dofmap)
virtual void | read (LocalMeshData &data)
virtual void | read (MeshFunction< int > &mesh_function)
virtual void | read (MeshFunction< std::size_t > &mesh_function)
virtual void | read (MeshFunction< double > &mesh_function)
virtual void | read (MeshFunction< bool > &mesh_function)
virtual void | read (MeshValueCollection< int > &mesh_markers)
virtual void | read (MeshValueCollection< std::size_t > &mesh_markers)
virtual void | read (MeshValueCollection< double > &mesh_markers)
virtual void | read (MeshValueCollection< bool > &mesh_markers)
virtual void | read (Parameters &parameters)
virtual void | read (Table &table)
virtual void | read (std::vector< int > &x)
virtual void | read (std::vector< std::size_t > &x)
virtual void | read (std::vector< double > &x)
virtual void | read (std::map< std::size_t, int > &map)
virtual void | read (std::map< std::size_t, std::size_t > &map)
virtual void | read (std::map< std::size_t, double > &map)
virtual void | read (std::map< std::size_t, std::vector< int > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< double > > &array_map)
virtual void | read (Function &u)
virtual void | write (const GenericVector &x)
virtual void | write (const GenericMatrix &A)
virtual void | write (const Mesh &mesh)
virtual void | write (const GenericDofMap &dofmap)
virtual void | write (const LocalMeshData &data)
virtual void | write (const MeshFunction< std::size_t > &mesh_function)
virtual void | write (const MeshFunction< bool > &mesh_function)
virtual void | write (const MeshValueCollection< int > &mesh_markers)
virtual void | write (const MeshValueCollection< std::size_t > &mesh_markers)
virtual void | write (const MeshValueCollection< double > &mesh_markers)
virtual void | write (const MeshValueCollection< bool > &mesh_markers)
virtual void | write (const Mesh &mesh, double time)
virtual void | write (const MeshFunction< int > &mf, double time)
virtual void | write (const MeshFunction< std::size_t > &mf, double time)
virtual void | write (const MeshFunction< double > &mf, double time)
virtual void | write (const MeshFunction< bool > &mf, double time)
virtual void | write (const Function &u, double time)
virtual void | write (const Parameters &parameters)
virtual void | write (const Table &table)
virtual void | write (const std::vector< int > &x)
virtual void | write (const std::vector< std::size_t > &x)
virtual void | write (const std::vector< double > &x)
virtual void | write (const std::map< std::size_t, int > &map)
virtual void | write (const std::map< std::size_t, std::size_t > &map)
virtual void | write (const std::map< std::size_t, double > &map)
virtual void | write (const std::map< std::size_t, std::vector< int > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< double > > &array_map)
void | _read ()
void | _write (std::size_t process_number)
std::string | name () const

## Additional Inherited Members

Protected Member Functions inherited from dolfin::GenericFile
void | read_not_impl (const std::string object) const
void | write_not_impl (const std::string object) const
Protected Attributes inherited from dolfin::GenericFile
std::string | _filename
std::string | _filetype
bool | opened_read
bool | opened_write
bool | check_header
std::size_t | counter
std::size_t | counter1
std::size_t | counter2

## Detailed Description

Output of data in raw binary format.

## Member Function Documentation

## write() [1/3]

void RAWFile::write | ( | const Function & | u | ) |

virtual

Output Function

Parameters

  u | Function

Reimplemented from dolfin::GenericFile.

## write() [2/3]

void RAWFile::write | ( | const MeshFunction< double > & | meshfunction | ) |

virtual

Output MeshFunction (double)

Parameters

  meshfunction | MeshFunction

Reimplemented from dolfin::GenericFile.

## write() [3/3]

void RAWFile::write | ( | const MeshFunction< int > & | meshfunction | ) |

virtual

Output MeshFunction (int)

Parameters

  meshfunction | MeshFunction

Reimplemented from dolfin::GenericFile.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/RAWFile.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/RAWFile.cpp